跳转到主要内容
GET
Reference example

请求规范

  • 方法与路径: GET /apis/v1/serpapi/google-maps
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/serpapi/google-maps
  • engine: query; 必填
  • ll: query; 可选
  • place_id: query; 可选
  • q: query; 必填
  • start: query; 可选
  • type: query; 必填
  • Runtime 事实版本: 1d8d2010628130bd331b470b564dd1cd5784989899ccf3e384a8de02a69e0558
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.015 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.015
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 结算证据来源: response_header

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

engine
enum<string>
必填
可用选项:
google_maps
Minimum string length: 1
ll
string

@latitude,longitude,zoom — alternative to location+z or lat/lon+z

示例:

"@40.7455096,-74.0083012,14z"

place_id
string

Google place_id for a single-place lookup / NAP (name, address, phone, website). Prefer with type=place. Upstream accepts place_id without other optional params (https://serpapi.com/google-maps-api); Treg still requires type and q, so send type=place and a q (place name, or place_id as q) alongside place_id.

示例:

"ChIJifIePKtZwokRVZ-UdRGkZzs"

q
string
必填

required for type=search (keyword). For a place_id lookup, Treg still requires q — send the place name, or the same place_id as q, alongside place_id.

示例:

"pizza"

start
integer

pagination offset, increments of 20

示例:

0

type
string
必填

search (keyword list) or place (single-place lookup via place_id). Prefer type=place with place_id. Upstream does not require type when place_id is set (https://serpapi.com/google-maps-api); Treg still requires type — send type=place for a place_id lookup.

示例:

"search"

响应

成功响应